<?php

namespace app\mobile\controller;

use app\mobile\logic\CommonLogic;
use app\admin\logic\CommonLogic as AdminCommonLogic;
use app\BaseController;
use app\mobile\logic\AccountLogic;

//公共
class Common extends BaseController
{

    //省市区编码
    public function area()
    {
        $parent_code = $this->request->post('parent_code', '');
        return AdminCommonLogic::getAddr($parent_code);
    }

    //视频列表
    public function getVideoList()
    {
        $param = $this->request->only(['page' => 1, 'size' => 10], 'post');
        return CommonLogic::getVideoList($param);
    }

    //手机主题
    public function theme()
    {
        return CommonLogic::theme();
    }

}